'use strict';

exports.__esModule = true;

var _replaceInFile = require('replace-in-file');

var _replaceInFile2 = _interopRequireDefault(_replaceInFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (keeps, name, author) => {
  const dict = new Map();
  ['name', 'short_name'].forEach(str => {
    dict.set(new RegExp(`"${str}": ".+"`, 'g'), `"${str}": "${name}"`);
  });
  dict.set(new RegExp('"author": ".+"', 'g'), `"author": "${author}"`);

  for (var _iterator = keeps, _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator]();;) {
    var _ref;

    if (_isArray) {
      if (_i >= _iterator.length) break;
      _ref = _iterator[_i++];
    } else {
      _i = _iterator.next();
      if (_i.done) break;
      _ref = _i.value;
    }

    const entry = _ref;

    dict.forEach((v, regex) => {
      _replaceInFile2.default.sync({
        files: entry,
        from: regex,
        to: v
      });
    });
  }
};